Subject: Re: bug#79168: Proposed changes for oauth2

From: Xiyue Deng <[email-masked]>
Date: Fri, 08 Aug 2025 23:52:13 -0700

Hi Sean,

Sean Whitton <[email-masked]> writes:

> Hello,
>
> On Sun 03 Aug 2025 at 05:20pm -07, Xiyue Deng wrote:
>
>> I propose the series of changes for oauth2 which would lead to the
>> next release of 0.18.
>>
>> Each commit message explains what is done.  Please let me know if
>> anything is unclear.
>
> Thank you very much for working on this library.
>
> We need the commit messages to be in our CHANGELOG format as described
> in CONTRIBUTING.  Additional explanations for changes we prefer to be in
> comments rather than in the commit message.
>

Ah yes.  I have just sent V2 with the commit messages revised
accordingly.

> Finally, you use oauth2 daily, right?
> Therefore everything has been fairly thoroughly tested?

Yes, I have been using this daily and haven't triggered any more issue
yet.

Ideally it could use some unit tests, but it would require some (mock)
web services.  If there are any unit test tools for providing a web
service it would be good to try it out.

> -- 
> Sean Whitton

-- 
Regards,
Xiyue Deng